<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="19529" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="19519"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="HWAddBookmarkViewController">
            <connections>
                <outlet property="bgView" destination="5gL-0C-RXn" id="Wr2-w6-ako"/>
                <outlet property="tableView" destination="aVS-Qt-yaV" id="3D9-TZ-9C8"/>
                <outlet property="titleTextField" destination="nPf-Te-zbz" id="p0H-B4-1zh"/>
                <outlet property="urlTextField" destination="ecV-ez-w8F" id="sou-Zx-88Q"/>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="hOq-ex-W21">
                    <rect key="frame" x="0.0" y="44" width="414" height="44"/>
                    <subviews>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="PgS-xs-y9z">
                            <rect key="frame" x="0.0" y="0.0" width="76" height="44"/>
                            <constraints>
                                <constraint firstAttribute="width" constant="76" id="TEe-pN-lTO"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="15"/>
                            <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                            <state key="normal" title="取消">
                                <color key="titleColor" red="0.23137254900000001" green="0.49803921569999998" blue="1" alpha="1" colorSpace="calibratedRGB"/>
                            </state>
                            <connections>
                                <action selector="cancelBtnClick:" destination="-1" eventType="touchUpInside" id="VB7-Hb-xOJ"/>
                            </connections>
                        </button>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="B2I-hY-dQX">
                            <rect key="frame" x="338" y="0.0" width="76" height="44"/>
                            <constraints>
                                <constraint firstAttribute="width" constant="76" id="Tbd-nC-lFy"/>
                            </constraints>
                            <fontDescription key="fontDescription" type="system" pointSize="15"/>
                            <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                            <state key="normal" title="完成">
                                <color key="titleColor" red="0.23137254900000001" green="0.49803921569999998" blue="1" alpha="1" colorSpace="calibratedRGB"/>
                            </state>
                            <connections>
                                <action selector="sureBtnClick:" destination="-1" eventType="touchUpInside" id="fQb-Yc-5Pl"/>
                            </connections>
                        </button>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="添加书签" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="xzd-Nf-gC2">
                            <rect key="frame" x="172.5" y="11.5" width="69.5" height="21"/>
                            <fontDescription key="fontDescription" type="system" pointSize="17"/>
                            <color key="textColor" red="1" green="1" blue="1" alpha="0.80000000000000004" colorSpace="custom" customColorSpace="sRGB"/>
                            <nil key="highlightedColor"/>
                        </label>
                    </subviews>
                    <color key="backgroundColor" red="0.11372549019607843" green="0.11764705882352941" blue="0.12156862745098039" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                    <constraints>
                        <constraint firstAttribute="trailing" secondItem="B2I-hY-dQX" secondAttribute="trailing" id="3HM-Va-iZe"/>
                        <constraint firstAttribute="height" constant="44" id="4mN-al-fJs"/>
                        <constraint firstItem="PgS-xs-y9z" firstAttribute="leading" secondItem="hOq-ex-W21" secondAttribute="leading" id="UEN-p5-TcS"/>
                        <constraint firstAttribute="bottom" secondItem="PgS-xs-y9z" secondAttribute="bottom" id="ZG8-7N-DAO"/>
                        <constraint firstItem="PgS-xs-y9z" firstAttribute="top" secondItem="hOq-ex-W21" secondAttribute="top" id="erf-0M-PME"/>
                        <constraint firstItem="xzd-Nf-gC2" firstAttribute="centerX" secondItem="hOq-ex-W21" secondAttribute="centerX" id="fa4-gP-cpJ"/>
                        <constraint firstItem="xzd-Nf-gC2" firstAttribute="centerY" secondItem="hOq-ex-W21" secondAttribute="centerY" id="lph-xi-Sd2"/>
                        <constraint firstItem="B2I-hY-dQX" firstAttribute="top" secondItem="hOq-ex-W21" secondAttribute="top" id="r1S-kK-SzF"/>
                        <constraint firstAttribute="bottom" secondItem="B2I-hY-dQX" secondAttribute="bottom" id="xTW-RX-Amu"/>
                    </constraints>
                </view>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="5gL-0C-RXn">
                    <rect key="frame" x="20" y="108" width="374" height="90"/>
                    <subviews>
                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="kBb-HW-ZU4">
                            <rect key="frame" x="10" y="44.5" width="354" height="1"/>
                            <color key="backgroundColor" red="1" green="1" blue="1" alpha="0.10000000000000001" colorSpace="custom" customColorSpace="sRGB"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="1" id="rb5-a0-Kvg"/>
                            </constraints>
                        </view>
                        <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" placeholder="请输入标题" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="nPf-Te-zbz">
                            <rect key="frame" x="10" y="0.0" width="354" height="44.5"/>
                            <color key="textColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <fontDescription key="fontDescription" type="system" pointSize="15"/>
                            <textInputTraits key="textInputTraits"/>
                        </textField>
                        <textField opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="left" contentVerticalAlignment="center" placeholder="请输入网址" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="ecV-ez-w8F">
                            <rect key="frame" x="10" y="45.5" width="354" height="44.5"/>
                            <color key="textColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <fontDescription key="fontDescription" type="system" pointSize="15"/>
                            <textInputTraits key="textInputTraits"/>
                        </textField>
                    </subviews>
                    <color key="backgroundColor" red="0.1137254902" green="0.1176470588" blue="0.1215686275" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="90" id="C5I-ru-jPG"/>
                        <constraint firstItem="kBb-HW-ZU4" firstAttribute="leading" secondItem="5gL-0C-RXn" secondAttribute="leading" constant="10" id="D8R-Dg-ZWl"/>
                        <constraint firstAttribute="trailing" secondItem="kBb-HW-ZU4" secondAttribute="trailing" constant="10" id="HZi-e6-3UE"/>
                        <constraint firstItem="nPf-Te-zbz" firstAttribute="leading" secondItem="5gL-0C-RXn" secondAttribute="leading" constant="10" id="Lfx-nF-Ka0"/>
                        <constraint firstItem="kBb-HW-ZU4" firstAttribute="centerY" secondItem="5gL-0C-RXn" secondAttribute="centerY" id="Y9e-jH-89g"/>
                        <constraint firstItem="ecV-ez-w8F" firstAttribute="leading" secondItem="5gL-0C-RXn" secondAttribute="leading" constant="10" id="eQe-Z6-91L"/>
                        <constraint firstAttribute="trailing" secondItem="nPf-Te-zbz" secondAttribute="trailing" constant="10" id="eey-GV-X6G"/>
                        <constraint firstAttribute="bottom" secondItem="ecV-ez-w8F" secondAttribute="bottom" id="jMg-r1-xYr"/>
                        <constraint firstItem="kBb-HW-ZU4" firstAttribute="top" secondItem="nPf-Te-zbz" secondAttribute="bottom" id="mOv-Pn-KJD"/>
                        <constraint firstItem="ecV-ez-w8F" firstAttribute="top" secondItem="kBb-HW-ZU4" secondAttribute="bottom" id="o95-Q2-X7e"/>
                        <constraint firstAttribute="trailing" secondItem="ecV-ez-w8F" secondAttribute="trailing" constant="10" id="vwH-X1-T8O"/>
                        <constraint firstItem="nPf-Te-zbz" firstAttribute="top" secondItem="5gL-0C-RXn" secondAttribute="top" id="xOe-m1-GDM"/>
                    </constraints>
                </view>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="位置" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="rr8-2S-BPJ">
                    <rect key="frame" x="20" y="213" width="27" height="16"/>
                    <fontDescription key="fontDescription" type="system" pointSize="13"/>
                    <color key="textColor" red="0.40000000000000002" green="0.40000000000000002" blue="0.40000000000000002" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                    <nil key="highlightedColor"/>
                </label>
                <tableView clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" style="plain" separatorStyle="default" rowHeight="-1" estimatedRowHeight="-1" sectionHeaderHeight="-1" estimatedSectionHeaderHeight="-1" sectionFooterHeight="-1" estimatedSectionFooterHeight="-1" translatesAutoresizingMaskIntoConstraints="NO" id="aVS-Qt-yaV">
                    <rect key="frame" x="20" y="239" width="374" height="623"/>
                    <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                </tableView>
            </subviews>
            <viewLayoutGuide key="safeArea" id="Q5M-cg-NOt"/>
            <color key="backgroundColor" red="0.062745098039215685" green="0.062745098039215685" blue="0.062745098039215685" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
            <constraints>
                <constraint firstItem="aVS-Qt-yaV" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" constant="20" id="0Kh-9w-90C"/>
                <constraint firstItem="hOq-ex-W21" firstAttribute="top" secondItem="Q5M-cg-NOt" secondAttribute="top" id="Ec7-Ap-QB4"/>
                <constraint firstItem="Q5M-cg-NOt" firstAttribute="trailing" secondItem="aVS-Qt-yaV" secondAttribute="trailing" constant="20" id="Hav-Ys-9T2"/>
                <constraint firstItem="5gL-0C-RXn" firstAttribute="top" secondItem="hOq-ex-W21" secondAttribute="bottom" constant="20" id="Lpd-lQ-NPb"/>
                <constraint firstItem="aVS-Qt-yaV" firstAttribute="top" secondItem="rr8-2S-BPJ" secondAttribute="bottom" constant="10" id="Tuk-7H-SbH"/>
                <constraint firstItem="Q5M-cg-NOt" firstAttribute="trailing" secondItem="5gL-0C-RXn" secondAttribute="trailing" constant="20" id="XsJ-el-1Vg"/>
                <constraint firstItem="Q5M-cg-NOt" firstAttribute="trailing" secondItem="hOq-ex-W21" secondAttribute="trailing" id="YvQ-tB-sWh"/>
                <constraint firstItem="Q5M-cg-NOt" firstAttribute="bottom" secondItem="aVS-Qt-yaV" secondAttribute="bottom" id="ZpO-aF-XQf"/>
                <constraint firstItem="5gL-0C-RXn" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" constant="20" id="fpe-GX-8ne"/>
                <constraint firstItem="rr8-2S-BPJ" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" constant="20" id="oKI-2F-Z0b"/>
                <constraint firstItem="rr8-2S-BPJ" firstAttribute="top" secondItem="5gL-0C-RXn" secondAttribute="bottom" constant="15" id="s3z-UI-eUb"/>
                <constraint firstItem="hOq-ex-W21" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" id="tw0-EA-DHX"/>
            </constraints>
            <point key="canvasLocation" x="137.68115942028987" y="132.58928571428572"/>
        </view>
    </objects>
</document>
